<?php
#----00--00----------------------------------#
#----00---000----000000-----000000-#
#----00---0000--00----00----00---00--#
#----00---0000--00-----------00---------#
#----00---0000--000000----00000--#
#----00---000---00-----------00---------#
#----00--00-----00---00-----00---------#
#----0000-------000000----00--------#
#################################################
##                    W@P-MOTOR 16 - 17 DOWNLOAD CENTER MOD Def                     ##
##                                      Дата выхода 5 февраля 2008 г.                                        ##
##                                         Авторы: XsErG, VantuZ, Def                                            ##
##                                             Связь: http://wapruk.ru                                                  ##
#################################################
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

include_once("inc/func.inc");
include_once("inc/conf.inc");
##
$text = file("../local/profil/$log.prof");
if ($text != '')
{
	$udata = explode(':||:',$text[0]);
	$provlog = trim($udata[0]);
	$provpar = trim($udata[1]);
	$dostup = trim($udata[7]);
	$privat	= trim($udata[10]);
}
## Обработка страниц
$page = isset($_GET['page']) ? (int) $_GET['page'] : 1;
##
if ($page < 1)
{
	echo '<font color="red">Страница не существует</font><br/>[<a href="index.php">К загрузкам</a>]';
	require_once"../themes/$config_themes/foot.php";
}
##
## Текущая директория
$did=str_replace("../","",$did);
$did=str_replace("./","",$did);
$did=str_replace("..","",$did);
$did=str_replace(".","",$did);
if (is_dir("files$did")==false){
echo "<center><font color=\"red\">FACK!!! =))))</font></center><br /><br />";
echo "</div><div>[<a href='index.php?'>К разделам</a>]<br>";
echo "</div><div>[<a href='../index.php'>На главную</a>]";
include_once"../themes/$config_themes/foot.php";
exit;}
## Предыдущая папка
$pr_did = dirname("files$did");
##
$dir = $did;
echo "</div><div class=b><center><img src='inc/img/down.png' alt=''><a href='./'>$d_name</a><img src='inc/img/down.png' alt=''></center></div><div>";
echo "<img src='inc/img/folder.png' alt=''/> <a href='index.php?did=".$did."'>К загрузкам</a><br>";
echo "<img src='inc/img/new.gif' alt=''/> <a href='new.php?did=".$did."'>Новые файлы</a><b> [ <a href='new_help.php'><img src='inc/img/help.gif' alt=' ? '></a> ] </b><br>";
echo "<img src='inc/img/find.gif' alt=''><a href='search.php'>Поиск файлов</a><hr></div><div class=b>
<img src='inc/img/top.gif' alt=''> TOP $col_top</div><div>";

//if (empty($did)) $did = './';
############################################################################################
if(!isset($p)){$p="1";}
if($page==1){$min=0;}
else{$min=$col * ($page-1);}
$max = $min+$col-1;
$next=$page+1;
$prev=$page-1;
$prev_dir=prev_dir($did);
$i = 0;
$fl = put_top($did);
foreach ($fl as $fid)
{
	if ($i >= $min && $i <= $max)
	{
	$fd = dirname($fid);
	$va = trim(basename($fid));
	list($tip,$oform) = file_type($fd);
	$fd=str_replace("files", "", $fd);
	$dik=str_replace("/", "", $fd);
	if (is_file("baze/$dik.baz")){
	$fn=file("baze/$dik.baz");
		foreach ($fn as $n=>$f){
			$data = explode("|",$fn[$n]);
			if (trim($data[11])=="$fd/$va"){$id=$data[0];
			$format=$data[10];
			$nam=$data[8];
			$name=$data[9];
			$downs=$data[1];
			if($data[5]==''){$data[5] = 0;}
			$datesk=date("d.m.Y - H:i",$data[5]);
			$datedob=date("d.m.Y - H:i",$data[6]);
			$siz=number_format(($data[7]/1024),2);}
		}
	}
$datpr = date("d.m.Y - H:i",0);	
if($tip=="file"){$tipe="Файл";}
if($tip=="img"){$tipe="Картинка";}
if($tip=="java"){$tipe="JAVA";}
if($tip=="video"){$tipe="Видео";}
if($tip=="themes"){$tipe="Тема";}
if($tip=="mp3"){$tipe="Мелодия";}
if($tip=="no" or $tip=="all"){$tipe="Файл";}
if($format=="zip" or $format=="rar"){$tipe="Архив";}

	$titl = dirs($fd);
	$dis = str_replace("files","",$fd);
	$dir = prev_dir($dis);
	$idd=dir_name($titl, $dir);
	if($nam==''){$nam = $name;}	
		if ($tip == 'file' || $tip == 'java' || $tip == 'themes' || $tip == 'video' || $tip == 'mp3')
		{
			echo '<li><img src="inc/img/zip.gif" alt=""/> <a href="index.php?did='.$fd.'&amp;fid='.$va.'&amp;act=desc">'.$nam.'</a> ['.$siz.' Kb]';
if ($sk_guest=="off" or file_exists("files$fd/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
			echo'&nbsp;[<a href="down.php?did='.$fd.'&amp;fid='.$va.'&id='.$id.'">Скачать</a>]';}
			echo "<br />Тип:<b> $tipe</b>";
			echo "<br />Добавлен: [".$datedob."]<br />";
			echo "Скачали: $downs<br />";
			if ($datesk!==$datpr){echo "Последнее скачивание: <b>$datesk</b><br>";}
			echo "перейти к папке: <a href=index.php?did=$dis>$idd</a><br />";
			if ($ch_op == '1'){
if ($str = show_abs($fd,$va)){if ($str !== "..."){ echo '<div></div><b>Описание:  </b>'.$str;}}}
			echo "<hr></li>";
		}
		if ($tip == 'img')
		{$fd = str_replace("files","",$fd);
			echo '<br><img src="img.php?did=files'.$fd.'&amp;im='.$va.'&neww='.$wg.'&newh='.$hg.'" alt=""/>';
			echo '<a href="index.php?did='.$fd.'&amp;fid='.$va.'&amp;act=desc">'.$nam.'</a> ['.$siz.' Kb]';
			echo "<br />Тип:<b> $tipe</b>";
			echo '<br />Скачали: ['.$downs.']<br />Добавлен: ['.$datedob.']';
			echo "<br />перейти к папке: <a href=index.php?did=$dis>$idd</a><hr>";
		}
	}$i++;
}
if ($i < 1) echo 'Файлов в топе пока нет';
else echo '<div class="a">Файлов: ['.($i).']</div>';
paget($i,$page,$col,$did);
if ($did != './') echo '<hr/>[<a href="index.php?did='.$did.'">В папку</a>]<br/>';
echo '[<a href="index.php">К загрузкам</a>]';
echo '<br/>[<a href="../">На главную</a>]';
# Ноги
require_once"../themes/$config_themes/foot.php";
?>